%define upstream_name    Prima
%define upstream_version 1.46

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Standard dialog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Prima/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  freetype-devel
BuildRequires:  giflib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Cwd)
BuildRequires:  perl-devel
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gdk-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xpm)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Encode)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::RefHash)
# Virtual packages used to load more modules
Provides:       perl(Prima::Buttons) = %{version}
Provides:       perl(Prima::Classes) = %{version}
Provides:       perl(Prima::Notebooks) = %{version}
Provides:       perl(Prima::Outlines) = %{version}
Provides:       perl(Prima::Sliders) = %{version}
Provides:       perl(Prima::StdDlg) = %{version}

%{?perl_default_filter}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Prima::noX11)\\)
# Do not export private modules (not starting with "Prima")
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\((am|apc|bi|bs|bt|ci|cl|cm|CodeEditor|cr|cs|CustomPodView|Divider|dmfp|dt|Editor|fdo|fds|fe|fp|fr|fra|frr|fs|fw|gm|gr|grow|gsci|gt|gui|ict|im|is|ItemsOutline|kb|km|le|lj|lp|mb|mbi|MenuOutline|MPropListViewer|mt|MyOutline|nt|PackPropListViewer|PropListViewer|rop|Round3D|sbmp|ss|sv|ta|tb|tka|tm|tno|tns|tw|wc|ws)\\)

%description
The toolkit is combined from two basic set of classes - core and external.
The core classes are coded in C and form a base line for every Prima object
written in perl. The usage of C is possible together with the toolkit;
however, its full power is revealed in the perl domain. The external
classes present easily expandable set of widgets, written completely in
perl and communicating with the system using Prima library calls.

The core classes form an hierarchy, which is displayed below:

	Prima::Object
		Prima::Component
			Prima::AbstractMenu
				Prima::AccelTable
				Prima::Menu
				Prima::Popup
			Prima::Clipboard
			Prima::Drawable
				Prima::DeviceBitmap
				Prima::Printer
				Prima::Image
					Prima::Icon
			Prima::File
			Prima::Timer
			Prima::Widget
				Prima::Application
				Prima::Window

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test||:

%install
%make_install

%files
%doc META.yml META.json README Changes
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.460.0-2.mga6
+ Revision: 1032693
- Rebuild for perl 5.22.2

* Mon May 02 2016 tv <tv> 1.460.0-1.mga6
+ Revision: 1008655
- new release

* Sat Feb 20 2016 tv <tv> 1.450.0-1.mga6
+ Revision: 972439
- drop merged patches
- new release

* Fri Feb 12 2016 umeabot <umeabot> 1.440.0-2.mga6
+ Revision: 957890
- Mageia 6 Mass Rebuild

* Wed Aug 05 2015 sander85 <sander85> 1.440.0-1.mga6
+ Revision: 861386
- update to 1.44

* Fri Jun 26 2015 tv <tv> 1.430.0-3.mga6
+ Revision: 845158
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 1.430.0-2.mga6
+ Revision: 842000
- Add a requires_exclude

* Wed Jun 24 2015 sander85 <sander85> 1.430.0-1.mga6
+ Revision: 841775
- update to 1.43

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-3.mga5
+ Revision: 749861
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1.400.0-2.mga5
+ Revision: 736585
- drop bogus requires

* Fri Oct 03 2014 tv <tv> 1.400.0-1.mga5
+ Revision: 736354
- add more BR
- imported package perl-Prima


* Fri Oct 03 2014 Thierry Vignaud <tv@mageia.org> 1.400.0-1.mga5
- initial mageia release, generated with cpan2dist
